Subject: Re: bash/readline spinout in vi command mode
From: Andy Koppe <[email-masked]>
To: [email-masked]
Date: Sun, 18 Apr 2010 16:48:46 +0100
List-Id: <cygwin.cygwin.com>

Jeremy Bopp:
>> When you say spin out, do you mean it's fully loading a core? That
>> would obviously be a bug, but I don't see that. For me, both with
>> ESC-; and Shift-F12 it's just sitting there waiting for more input,
>> which to me looks like normal operation because I do know that the
>> escape character at the start of both of those takes vi into command
>> mode and I've got no idea what either ';' or '[24;2~' might mean in
>> command mode. In both cases, pressing Enter a couple of time produces
>> a new prompt.
>
> Yes, it fully loads a core.  What's strange is that if I hit ESC-F
> before the first time I hit ESC-; in a new shell session the problem is
> avoided.  From what I read at http://linux.die.net/man/3/readline, the
> key binding for both F and ; in command mode should be vi-char-search,
> so I'm not sure what the difference is between the two bindings.
>
> I get the same behavior under a Windows terminal running bash as well.
> I repeated all the tests both with and without my .inputrc file, minimal
> as it is, and got the same results every time.
>
> On a whim I also tried this in irb, which is the only other program I
> frequently use which I know uses libreadline, but I could not reproduce
> the problem.
>
> If there is any other information I can provide, let me know what it is.
>  My system is a fairly vanilla XP installation which I updated to the
> latest packages earlier today.

Spinning on a 32-bit XP here as well, whereas it didn't on a 64-bit Win7.

Andy

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple